#include <u.h>
#include <libc.h>

extern char **environ;

char**
getenviron(void)
{
	char **env;
	int i;

	for(i=0; environ[i]; i++)
		;

	env = malloc((i+1)*sizeof(char*));
	for(i=0; environ[i]; i++)
		env[i] = strdup(environ[i]);
	env[i] = nil;
	return env;
}

void
freeenviron(char **env)
{
	int i;
	
	for(i=0; env[i]; i++)
		free(env[i]);
	free(env);
}
